apiVersion: submariner.io/v1alpha1
kind: Submariner
metadata:
  creationTimestamp: "2024-12-11T23:21:38Z"
  finalizers:
  - controllers.submariner.io/cleanup
  generation: 1
  managedFields:
  - apiVersion: submariner.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        .: {}
        f:broker: {}
        f:brokerK8sApiServer: {}
        f:brokerK8sApiServerToken: {}
        f:brokerK8sCA: {}
        f:brokerK8sRemoteNamespace: {}
        f:brokerK8sSecret: {}
        f:cableDriver: {}
        f:ceIPSecDebug: {}
        f:ceIPSecNATTPort: {}
        f:ceIPSecPSK: {}
        f:ceIPSecPSKSecret: {}
        f:clusterCIDR: {}
        f:clusterID: {}
        f:clustersetIPCIDR: {}
        f:connectionHealthCheck:
          .: {}
          f:enabled: {}
          f:intervalSeconds: {}
          f:maxPacketLossCount: {}
        f:debug: {}
        f:globalCIDR: {}
        f:namespace: {}
        f:natEnabled: {}
        f:repository: {}
        f:serviceCIDR: {}
        f:serviceDiscoveryEnabled: {}
        f:version: {}
    manager: subctl
    operation: Update
    time: "2024-12-11T23:21:38Z"
  - apiVersion: submariner.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"controllers.submariner.io/cleanup": {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:38Z"
  - apiVersion: submariner.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:clusterCIDR: {}
        f:clusterID: {}
        f:clustersetIPCIDR: {}
        f:deploymentInfo: {}
        f:gatewayDaemonSetStatus:
          .: {}
          f:lastResourceVersion: {}
          f:mismatchedContainerImages: {}
          f:nonReadyContainerStates: {}
          f:status:
            .: {}
            f:currentNumberScheduled: {}
            f:desiredNumberScheduled: {}
            f:numberAvailable: {}
            f:numberMisscheduled: {}
            f:numberReady: {}
            f:observedGeneration: {}
            f:updatedNumberScheduled: {}
        f:gateways: {}
        f:globalCIDR: {}
        f:globalnetDaemonSetStatus:
          .: {}
          f:lastResourceVersion: {}
          f:mismatchedContainerImages: {}
          f:nonReadyContainerStates: {}
          f:status:
            .: {}
            f:currentNumberScheduled: {}
            f:desiredNumberScheduled: {}
            f:numberAvailable: {}
            f:numberMisscheduled: {}
            f:numberReady: {}
            f:observedGeneration: {}
            f:updatedNumberScheduled: {}
        f:loadBalancerStatus: {}
        f:natEnabled: {}
        f:networkPlugin: {}
        f:routeAgentDaemonSetStatus:
          .: {}
          f:lastResourceVersion: {}
          f:mismatchedContainerImages: {}
          f:nonReadyContainerStates: {}
          f:status:
            .: {}
            f:currentNumberScheduled: {}
            f:desiredNumberScheduled: {}
            f:numberAvailable: {}
            f:numberMisscheduled: {}
            f:numberReady: {}
            f:observedGeneration: {}
            f:updatedNumberScheduled: {}
        f:serviceCIDR: {}
        f:version: {}
    manager: submariner-operator
    operation: Update
    subresource: status
    time: "2025-02-14T16:53:17Z"
  name: submariner
  namespace: submariner-operator
  resourceVersion: "80229190"
  uid: 664b97f0-21e4-4b46-b2f6-2dd3a747b13f
spec:
  broker: ""
  brokerK8sApiServer: ##redacted-api-server##
  brokerK8sApiServerToken: ##redacted-token##
  brokerK8sCA: ##redacted-ca##
  brokerK8sRemoteNamespace: submariner-k8s-broker
  brokerK8sSecret: submariner-broker-secret
  cableDriver: libreswan
  ceIPSecDebug: false
  ceIPSecNATTPort: 4500
  ceIPSecPSK: ##redacted-ipsec-psk##
  ceIPSecPSKSecret: submariner-ipsec-psk
  clusterCIDR: ""
  clusterID: rdr-blue-site-svl-2
  clustersetIPCIDR: 243.0.16.0/20
  connectionHealthCheck:
    enabled: true
    intervalSeconds: 1
    maxPacketLossCount: 5
  debug: false
  globalCIDR: 242.1.0.0/16
  namespace: submariner-operator
  natEnabled: true
  repository: quay.io/submariner
  serviceCIDR: ""
  serviceDiscoveryEnabled: true
  version: 0.19.0
status:
  clusterCIDR: 10.254.0.0/16
  clusterID: rdr-blue-site-svl-2
  clustersetIPCIDR: 243.0.16.0/20
  deploymentInfo: {}
  gatewayDaemonSetStatus:
    lastResourceVersion: "80074417"
    mismatchedContainerImages: false
    nonReadyContainerStates: []
    status:
      currentNumberScheduled: 1
      desiredNumberScheduled: 1
      numberAvailable: 1
      numberMisscheduled: 0
      numberReady: 1
      observedGeneration: 1
      updatedNumberScheduled: 1
  gateways:
  - connections:
    - endpoint:
        backend: libreswan
        backend_config:
          natt-discovery-port: "4490"
          preferred-server: "false"
          public-ip: ipv4:9.46.194.102
          udp-port: "4500"
        cable_name: submariner-cable-rdr-blue-site-svl-1-10-17-109-163
        cluster_id: rdr-blue-site-svl-1
        healthCheckIP: 242.0.255.254
        hostname: worker0.rdr-blue-site-svl-1.cp.fyre.ibm.com
        nat_enabled: true
        private_ip: 10.17.109.163
        public_ip: 9.46.194.102
        subnets:
        - 242.0.0.0/16
      latencyRTT:
        average: 1.033887ms
        last: 871.45µs
        max: 33.194694ms
        min: 413.808µs
        stdDev: 1.161919ms
      status: connected
      statusMessage: ""
      usingIP: 10.17.109.163
    haStatus: active
    localEndpoint:
      backend: libreswan
      backend_config:
        natt-discovery-port: "4490"
        preferred-server: "false"
        udp-port: "4500"
      cable_name: submariner-cable-rdr-blue-site-svl-2-10-17-82-86
      cluster_id: rdr-blue-site-svl-2
      healthCheckIP: 242.1.255.254
      hostname: worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
      nat_enabled: true
      private_ip: 10.17.82.86
      public_ip: 170.225.223.22
      subnets:
      - 242.1.0.0/16
    statusFailure: ""
    version: release-0.19-63bfdce6ad6e
  globalCIDR: 242.1.0.0/16
  globalnetDaemonSetStatus:
    lastResourceVersion: "80074412"
    mismatchedContainerImages: false
    nonReadyContainerStates: []
    status:
      currentNumberScheduled: 1
      desiredNumberScheduled: 1
      numberAvailable: 1
      numberMisscheduled: 0
      numberReady: 1
      observedGeneration: 1
      updatedNumberScheduled: 1
  loadBalancerStatus: {}
  natEnabled: true
  networkPlugin: OVNKubernetes
  routeAgentDaemonSetStatus:
    lastResourceVersion: "80074710"
    mismatchedContainerImages: false
    nonReadyContainerStates: []
    status:
      currentNumberScheduled: 10
      desiredNumberScheduled: 10
      numberAvailable: 10
      numberMisscheduled: 0
      numberReady: 10
      observedGeneration: 1
      updatedNumberScheduled: 10
  serviceCIDR: 172.30.0.0/16
  version: 0.19.0
